Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.position
Class PositionData

    java.lang.Object
      info.bioinfweb.treegraph.document.position.PositionData

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  LegendPositionData, NodePositionData

    public class PositionData

extends Object
implements Cloneable

Field Summary
`private DistanceValue` | `height`
`private DistanceValue` | `left`
`private DistanceValue` | `top`
`private DistanceValue` | `width`

Constructor Summary
`PositionData()`

Method Summary
`PositionData` | `clone()`
`boolean` | `contains(DistanceValue x, DistanceValue y, float margin)`
`boolean` | `contains(float x, float y, float margin)`
`float` | `getBottomInMillimeters()`
`float` | `getBottomInPixels(float pixelsPerMillimeter)`
`DistanceValue` | `getHeight()`
`DistanceValue` | `getLeft()`
`float` | `getRightInMillimeters()`
`float` | `getRightInPixels(float pixelsPerMillimeter)`
`DistanceValue` | `getTop()`
`DistanceValue` | `getWidth()`
`Rectangle` | `toRect(float pixelsPerMillimeter)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### left

    private DistanceValue left

### top

    private DistanceValue top

### width

    private DistanceValue width

### height

    private DistanceValue height

Constructor Detail

### PositionData

    public PositionData()

Method Detail

### getHeight

    public DistanceValue getHeight()

### getLeft

    public DistanceValue getLeft()

### getTop

    public DistanceValue getTop()

### getWidth

    public DistanceValue getWidth()

### getRightInMillimeters

    public float getRightInMillimeters()

### getBottomInMillimeters

    public float getBottomInMillimeters()

### getRightInPixels

    public float getRightInPixels(float pixelsPerMillimeter)

### getBottomInPixels

    public float getBottomInPixels(float pixelsPerMillimeter)

### contains

    public boolean contains(DistanceValue x,
                            DistanceValue y,
                            float margin)

### contains

    public boolean contains(float x,
                            float y,
                            float margin)

### toRect

    public Rectangle toRect(float pixelsPerMillimeter)

### clone

    public PositionData clone()
                       throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD